<?
$corec = $_SERVER['DOCUMENT_ROOT'];
require_once $corec.'/sys/inc/core.php';
only_reg();

$set['title']='Купить зверька';
require_once $corec.'/sys/inc/thead.php';
title();



if(isset($_GET['turop']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `zverok` WHERE `id` = '".intval($_GET['turop'])."'"),0))
{
$turop=mysql_fetch_array(mysql_query("select * from `zverok` where `id`='".intval($_GET['turop'])."'"));
if ($turop['cena'] > $user['balls'])
{
msg('У вас недостаточно баллов');
require_once $corec.'/sys/inc/tfoot.php';
exit();
}
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$turop['cena'])."', `zverok` = '$turop[id]' WHERE `id` ='$user[id]'");
msg('Вы успешно купили зверька:) Он принесёт вам немало радости');
require_once $corec.'/sys/inc/tfoot.php';
exit();   
}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `zverok`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if($k_post==0)
{
msg('Зверьков не обнаружено');
}

$splek = mysql_query("select * from `zverok` ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
while ($turop = mysql_fetch_array($splek)){
echo '<div class=\'ankus\'><img src=\'/style/zverok/'.($turop['id']).'.png\'><br />';
echo "".img('check.png')." <a href='?turop=$turop[id]'>".htmlspecialchars($turop[name])."</a>";
echo " <small>[".intval($turop[cena])." баллов]</small></div>";


}

if ($k_page>1)str("?",$k_page,$page);
require_once $corec.'/sys/inc/tfoot.php';
?>